/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.client.button;

import javax.annotation.Nonnull;

import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.item.ItemStack;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

import net.dries007.tfc.api.recipes.AnvilRecipe;

import static net.dries007.tfc.client.gui.GuiAnvilPlan.PLAN_BACKGROUND;

@SideOnly(Side.CLIENT)
public class GuiButtonAnvilPlanIcon extends GuiButtonTFC implements IButtonTooltip
{
    private final ItemStack displayItem;
    private final ResourceLocation recipeName;
    private final String tooltip;

    public GuiButtonAnvilPlanIcon(AnvilRecipe recipe, int id, int x, int y)
    {
        super(id, x, y, 18, 18, "");

        this.displayItem = recipe.getOutput();
        this.recipeName = recipe.getRegistryName();
        this.tooltip = displayItem.func_82833_r();
    }

    @Override
    public void func_191745_a(@Nonnull Minecraft mc, int mouseX, int mouseY, float partialTicks)
    {
        if (this.field_146125_m)
        {
            GlStateManager.func_179131_c(1, 1, 1, 1);
            mc.func_110434_K().func_110577_a(PLAN_BACKGROUND);
            field_146123_n = mouseX >= this.field_146128_h && mouseY >= this.field_146129_i && mouseX < this.field_146128_h + this.field_146120_f && mouseY < this.field_146129_i + this.field_146121_g;
            func_146110_a(field_146128_h, field_146129_i, 176, 0, 18, 18, 256, 256);
            drawItemStack(displayItem, field_146128_h + 1, field_146129_i + 1);
            func_146119_b(mc, mouseX, mouseY);
        }
    }

    public ResourceLocation getRecipeName()
    {
        return recipeName;
    }

    @Override
    public String getTooltip()
    {
        return tooltip;
    }

    @Override
    public boolean hasTooltip()
    {
        return tooltip != null;
    }
}
