/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.client.render;

import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.GlStateManager;
import net.minecraft.client.renderer.block.model.ItemCameraTransforms;
import net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer;
import net.minecraft.item.ItemStack;
import net.minecraftforge.items.CapabilityItemHandler;
import net.minecraftforge.items.IItemHandler;

import net.dries007.tfc.objects.te.TEAnvilTFC;

import static net.dries007.tfc.objects.te.TEAnvilTFC.SLOT_HAMMER;
import static net.dries007.tfc.objects.te.TEAnvilTFC.SLOT_INPUT_1;

public class TESRAnvil extends TileEntitySpecialRenderer<TEAnvilTFC>
{
    @Override
    public void func_192841_a(TEAnvilTFC te, double x, double y, double z, float partialTicks, int destroyStage, float alpha)
    {
        super.func_192841_a(te, x, y, z, partialTicks, destroyStage, alpha);

        IItemHandler cap = te.getCapability(CapabilityItemHandler.ITEM_HANDLER_CAPABILITY, null);
        if (cap != null)
        {
            int rotation = te.func_145832_p();
            float yOffset = te.isStone() ? 0.875f : 0.6875f;

            GlStateManager.func_179094_E();
            GlStateManager.func_179137_b(x + 0.5, y + 0.003125D + yOffset, z + 0.5);
            GlStateManager.func_179152_a(0.3f, 0.3f, 0.3f);
            GlStateManager.func_179114_b(90f, 1f, 0f, 0f);
            GlStateManager.func_179114_b(90f * rotation, 0f, 0f, 1f);
            GlStateManager.func_179109_b(1.1f, 0, 0);

            // Hammer Item
            ItemStack hammer = cap.getStackInSlot(SLOT_HAMMER);
            if (!hammer.func_190926_b())
            {
                Minecraft.func_71410_x().func_175599_af().func_181564_a(hammer, ItemCameraTransforms.TransformType.FIXED);
            }

            GlStateManager.func_179109_b(-1.2f, 0, 0);

            ItemStack input1 = cap.getStackInSlot(SLOT_INPUT_1);
            if (!input1.func_190926_b())
            {
                Minecraft.func_71410_x().func_175599_af().func_181564_a(input1, ItemCameraTransforms.TransformType.FIXED);
            }

            GlStateManager.func_179121_F();
        }
    }

    @Override
    public boolean func_188185_a(TEAnvilTFC te)
    {
        return false;
    }
}
