/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.inventory.slot;

import javax.annotation.Nonnull;

import net.minecraft.item.ItemStack;
import net.minecraftforge.items.IItemHandler;
import net.minecraftforge.items.SlotItemHandler;

import net.dries007.tfc.objects.te.TEInventory;

public class SlotTEInput extends SlotItemHandler
{
    private final TEInventory te;

    public SlotTEInput(@Nonnull IItemHandler inventory, int idx, int x, int y, @Nonnull TEInventory te)
    {
        super(inventory, idx, x, y);
        this.te = te;
    }

    @Override
    public void func_75218_e()
    {
        te.setAndUpdateSlots(getSlotIndex());
        super.func_75218_e();
    }

    @Override
    public boolean func_75214_a(@Nonnull ItemStack stack)
    {
        return te.isItemValid(this.field_75222_d, stack) && super.func_75214_a(stack);
    }

    @Override
    public int func_75219_a()
    {
        return Math.min(te.getSlotLimit(getSlotIndex()), super.func_75219_a());
    }
}
