/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.items;

import javax.annotation.ParametersAreNonnullByDefault;

import net.minecraft.block.Block;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.EnumRarity;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.EnumActionResult;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.EnumHand;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

import mcp.MethodsReturnNonnullByDefault;

@MethodsReturnNonnullByDefault
@ParametersAreNonnullByDefault
public class ItemDebug extends Item
{
    public ItemDebug()
    {
        setNoRepair();
        func_77625_d(1);
        func_77664_n();
    }

    @Override
    public boolean func_77644_a(ItemStack stack, EntityLivingBase target, EntityLivingBase attacker)
    {
        return false;
    }

    @Override
    public boolean func_179218_a(ItemStack stack, World worldIn, IBlockState state, BlockPos pos, EntityLivingBase entityLiving)
    {
        return false;
    }

    @Override
    public boolean func_150897_b(IBlockState blockIn)
    {
        return false;
    }

    @Override
    public boolean func_77636_d(ItemStack stack)
    {
        return true;
    }

    @Override
    public EnumRarity func_77613_e(ItemStack stack)
    {
        return EnumRarity.EPIC;
    }

    @Override
    public int getEntityLifespan(ItemStack itemStack, World world)
    {
        return 60;
    }

    @Override
    public boolean canDestroyBlockInCreative(World world, BlockPos pos, ItemStack stack, EntityPlayer player)
    {
        return false;
    }

    @Override
    public EnumActionResult func_180614_a(EntityPlayer player, World worldIn, BlockPos pos, EnumHand hand, EnumFacing facing, float hitX, float hitY, float hitZ)
    {
        // Block
        try
        {
            Block block = worldIn.func_180495_p(pos).func_177230_c();
            block.getClass().getMethod("debug").invoke(block);
        }
        catch (Throwable t) { /* Nothing Burger */ }

        // Tile Entity
        try
        {
            TileEntity tile = worldIn.func_175625_s(pos);
            if (tile != null)
            {
                tile.getClass().getMethod("debug").invoke(tile);
            }
        }
        catch (Throwable t) { /* Nothing Burger */ }
        return EnumActionResult.SUCCESS;
    }
}
