/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.objects.items.metal;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.init.SoundEvents;
import net.minecraft.item.ItemStack;
import net.minecraft.util.EnumFacing;
import net.minecraft.util.SoundCategory;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.Vec3d;
import net.minecraft.world.World;

import net.dries007.tfc.api.types.Metal;
import net.dries007.tfc.api.util.IPlaceableItem;
import net.dries007.tfc.objects.blocks.metal.BlockSheet;

import static net.dries007.tfc.objects.blocks.metal.BlockSheet.FACE;

public class ItemSheet extends ItemMetal implements IPlaceableItem
{
    public ItemSheet(Metal metal, Metal.ItemType type)
    {
        super(metal, type);
    }

    @Override
    public boolean placeItemInWorld(World world, BlockPos pos, ItemStack stack, EntityPlayer player, EnumFacing facing, Vec3d hitVec)
    {
        if (world.func_180495_p(pos).func_185915_l() && stack.func_77973_b() instanceof ItemSheet)
        {
            ItemSheet sheet = (ItemSheet) stack.func_77973_b();
            world.func_175656_a(pos.func_177972_a(facing), BlockSheet.get(sheet.metal).func_176223_P().func_177226_a(FACE, facing));
            world.func_184133_a(null, pos.func_177972_a(facing), SoundEvents.field_187772_dn, SoundCategory.BLOCKS, 1.0f, 1.0f);
            return true;
        }
        return false;
    }
}
